# Use docker image "maven" with Maven v3.x and JDK 7 (JDK >=8 broken)
image: maven:3-jdk-7

# Define "compile" job to be used as build stage (based on Maven)
compile:
  stage: build
# Execute command "mvn compile -–batch mode"
  script:
    - mvn compile --batch-mode

# Define "unittest" job to be used as (unit) test stage (based on Maven)
unittest:
# Gitlab runs stage test after stage build
  stage: test
# Execute command "mvn test -–batch mode"
  script:
    - mvn compile --batch-mode
    - mvn test --batch-mode
    - "cat target/site/jacoco/index.html"    